<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_itemvpoint.php');
if($use_gcoin == 1){
	$type_money = "gcoin";
	$name_money = "Gcoin";
}else{
	$type_money = "vpoint";
	$name_money = "Vpoint";
}
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'vpoint2item')
	{
		$character = $_POST['character'];
		$item = $_POST['item'];
		$slg = $_POST['slg'];
		$pass2 = $_POST['pass2'];
		
		if ($item == 'gold') $price = $item_low;
		elseif ($item == 'zen') $price = $item_hight;
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($character))
		{
			$error = "Chưa chọn nhân vật mua đồ";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		elseif(empty($item)) {
			$error = "Chưa chọn Item V.Point muốn mua";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $item))
			{
				$error = "Dữ liệu lỗi - Item chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		elseif(empty($slg)) {
			$error = "Chưa chọn số lượng Item muốn mua";
		}
		elseif (preg_match("/[^0-9$]/", $slg))
			{
				$error = "Dữ liệu lỗi - Số lượng chỉ được sử dụng số (1-9).";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu cấp 2";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'pass2'    =>  $pass2,
                'item'    =>  $item,
                'slg'    =>  $slg,
                
                'pagesv'	=>	'sv_tiente_vpoint2item',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					$notice = $info[2];
					$money = $info[1];
					if($use_gcoin == 1){
						$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] - $money;
					}else{
						$_SESSION['acc_vpoint'] = $_SESSION['acc_vpoint'] - $money;
					}
				}
				else $error = $reponse;
			}
		}
	}
}
$page_template = "templates/tiente/vpoint2item.tpl";
?>